# DOQA

## SSL
Создайте папку `box/nginx/ssl` переметите туда два файла `fullchain.pem` полная цепочка сертификатов и `privkey.pem` приватный ключ сертификата. 
Изменить название фалов можно в настройках nginx после установки `box/nginx/default.conf` или `configs/nginx/default_ssl.conf` после установки.
При запуске скрипта установки используйте флаг `--ssl` `doqa instal --ssl`

## Установка

1. Установить docker, docker-compose https://docs.docker.com/engine/install/
2. Выполнить команду `doqa install`
3. Выполнить команду `docker compose up -d --build`

## Установка с базой данных

1. Установить docker, docker-compose https://docs.docker.com/engine/install/
2. Выполнить команду `doqa install --use-database`
3. Выполнить команду `docker compose up -d --build`


## Электронная почта
Для подключения электронной почты измените параметры `MAIL_HOST`, `MAIL_PORT`, `MAIL_USERNAME`, `MAIL_PASSWORD`, `MAIL_ENCRYPTION`, `MAIL_FROM_ADDRESS`, `MAIL_FROM_NAME`
в файле `.env` перезапустите сервис

## Управление

Запустить сервис 
`docker compose up -d`

Остановить сервис 
`docker compose down`

## Обновление
1. Скачайте и распакуйте архив в папку с установленой DOQA
2. Выполните команду `docker-compose down`
3. Выполните команду `doqa update`
4. Выполните команду `dokcer compose up -d --build`

## ENV

| Название            | Описание                                               |
|---------------------|--------------------------------------------------------|
| APP_KEY             | Ключ приложения Laravel                                |
| APP_URL             | Url приложения                                         |
| APP_FRONTEND_URL    | Url фронтенд части приложения                          |
| DB_HOST             | Хост базы данных                                       |
| DB_PORT             | Порт базы данных                                       |
| DB_DATABASE         | Название базы данных                                   |
| DB_USERNAME         | Имя пользователя в базе данных                         |
| DB_PASSWORD         | Пароль пользователя в базе данных                      |
| MEMCACHED_HOST      | Хост memcached сервера                                 |
| REDIS_HOST          | Хост redis сервера                                     |
| REDIS_PASSWORD      | Пароль redis                                           |
| REDIS_PORT          | Порт redis                                             |
| MAIL_MAILER         | smtp значение по умолчанию                             |
| MAIL_HOST           | Сервер smtp                                            |
| MAIL_PORT           | Порт сервера smtp                                      |
| MAIL_USERNAME       | Имя пользователя сервера smtp                          |
| MAIL_PASSWORD       | Пароль пользователя сервера smtp                       |
| MAIL_ENCRYPTION     | Шифрование сервера smtp                                |
| MAIL_FROM_ADDRESS   | Почтовый адрес с которого будут отправляться письма    |
| MAIL_FROM_NAME      | Имя отправителя писем                                  |
| JWT_SECRET          | Секретный ключ для шифрования jwt токенов              |
| SERVER_PORT         | Внешний порт по которому будет доступно приложение     |
| SERVER_SSL_PORT     | Внешний порт по которому будет доступно ssl соединение |
| MINIO_KEY           | Ключ доступа к файловому хранилищу                     |
| MINIO_SECRET        | Секретный ключ доступа к файловому хранилищу           |
| MINIO_ENDPOINT      | Хост файлового хранилища                               |
| MINIO_BUCKET_URL    | Url основной корзины в файловом хранилище              |
| MINIO_BUCKET        | Название основной корзины в файловом хранилище         |
| IMAGE_DOQA_API      | Ссылка на docker контейнер api                         |
| IMAGE_DOQA_FRONTEND | Ссылка на docker контейнер frontend части              |
| USE_SSL             | Использование ssl в сервисе                            |
